<div class="amchart-container">
  <div
    class="amchart {{if @loading 'invisible'}}"
    {{this.dataModifier @data setup=this.setup update=this.update}}
    {{did-update this.regenerate this.application.darkMode}}
  ></div>
  {{#if (or this.building @loading)}}
    <div class="overlay">
      <ContentLoader @height="70" @preserveAspectRatio="xMidYMid" @width="100" class="amchart">
        <path d="m52.00001,29.79533l26.924,0c-0.984,-14.421 -12.503,-25.94 -26.924,-26.924l0,26.924z"></path>
        <path d="m71.38601,51.44833c4.343,-4.71 7.151,-10.858 7.614,-17.653l-25.267,0l17.653,17.653z"></path>
        <path
          d="m48.00001,30.96733l0,-28.096c-15.082,1.029 -27,13.581 -27,28.924a28.883,28.883 0 0 0 7.134,19.038l19.866,-19.866z"
        ></path>
        <path
          d="m49.41401,35.20933l-18.452,18.452a28.883,28.883 0 0 0 19.038,7.134a28.85,28.85 0 0 0 18.401,-6.599l-18.987,-18.987z"
        ></path>
        <rect x="25" y="64" rx="1" ry="1" height="4" width="50"></rect>
      </ContentLoader></div>
  {{/if}}
</div>